Page MenuHomePhabricator

Import Bugzilla component descriptions and set them as Phabricator project description?
Closed, ResolvedPublic

Description

@chasemp: You might hate me as this is another thing I had not thought about (sigh): Potentially importing component descriptions.

Seeing e.g. /tag/mediawiki-internationalization/ in the preview instance with an empty description, how complicated (how many days of work?) would it be to import the component description

Issues relating to internationalization, localization, translation, and the MediaWiki namespace.

as shown on https://bugzilla.wikimedia.org/editcomponents.cgi?product=MediaWiki ?

http://www.bugzilla.org/docs/4.4/en/html/api/Bugzilla/WebService/Product.html lists get_accessible_products() > components > description

And likely the same for Bugzilla keyword descriptions (though that is a number that I could still totally enter manually after the migration if it saves some time).

Event Timeline

Aklapper created this task.Oct 18 2014, 7:59 PM
Aklapper assigned this task to chasemp.
Aklapper raised the priority of this task from to Needs Triage.
Aklapper updated the task description. (Show Details)
Aklapper added a project: Bugzilla-Preview.
Aklapper changed Security from none to None.
Aklapper added subscribers: Aklapper, Qgil.
Qgil added a comment.Oct 18 2014, 9:38 PM

If this is not trivial, then I volunteer adding these descriptions manually.

I got most of the way into this but it's weirdly involved. Can't set description via api at the moment, and to do it manually is weird as it's actually a custom data field that requires an entry in project_transaction rather than being a regular field on the project itself.

@mmodell any interest in extending the project_create api to allow setting description or in writing a function in phabdb.py to mimic the transaction entry?

prefer the second if you think is doable easily

chasemp triaged this task as Low priority.Oct 21 2014, 6:06 PM
Qgil added a comment.Oct 31 2014, 8:57 PM

This task requires investigation and it is not critical at all. Can be done at a later stage without any problem. Pushing it out of Bugzilla-Preview for now.

Qgil moved this task from Backlog to Waiting For Migration Start on the Bugzilla-Migration board.

This is useful, though, since otherwise some components (e.g. MediaWiki UI) can be misinterpreted.

In T690#19181, @Mattflaschen wrote:

This is useful, though, since otherwise some components (e.g. MediaWiki UI) can be misinterpreted.

For completeness: Only if people use the projects view first. If people directly go to the task creation form and enter a project name (with autocompletion) there is no place where the project description is displayed. Just saying.

Qgil moved this task from Need discussion to Backlog on the Bugzilla-Migration board.
mmodell raised the priority of this task from Low to Medium.Nov 10 2014, 8:23 PM
In T690#19181, @Mattflaschen wrote:

This is useful, though, since otherwise some components (e.g. MediaWiki UI) can be misinterpreted.

For completeness: Only if people use the projects view first. If people directly go to the task creation form and enter a project name (with autocompletion) there is no place where the project description is displayed. Just saying.

That seems like a potential area for improvement: T1277: Show project description(s) on "Create New Task" page

Qgil reassigned this task from mmodell to Aklapper.Nov 23 2014, 10:32 PM
Qgil moved this task from Backlog to Doing on the Bugzilla-Migration board.Nov 23 2014, 10:41 PM
Aklapper lowered the priority of this task from Medium to Low.Nov 23 2014, 11:09 PM

Project descriptions in Phabricator have been manually set for all products and components that existed in Bugzilla (plus Bugzilla keywords which are tag projects in Phab, and the "Browser_Support" tag projects in Phab which was a separate dropdown in Bugzilla before).

Exceptions: Due to time and priority constraints, for MediaWiki-extensions-* projects, we only set/imported descriptions for those projects which had at least 15 tickets in total in Bugzilla at the time of migration.

Lowering priority as there's currently more important things to do first than finishing with the rest.

Qgil moved this task from To Triage to Doing on the Phabricator board.Nov 27 2014, 12:04 PM
Aklapper removed Aklapper as the assignee of this task.Dec 3 2014, 3:08 PM

I don't plan to do further week here (see my previous comment) as there's more important stuff on my list. Unassigning.

Aklapper closed this task as Resolved.Dec 3 2014, 3:09 PM
Aklapper claimed this task.

...and due to permission requirements I shouldn't leave this open.
This is probably a "mostly resolved, smaller amount is declined".